org.eclipse.cdt.core.model

## Interface IIncludeFileEntry

All Superinterfaces:
  IPathEntry

    public interface IIncludeFileEntry
    extends IPathEntry

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.model.IPathEntry

`CDT_CONTAINER, CDT_INCLUDE, CDT_INCLUDE_FILE, CDT_LIBRARY, CDT_MACRO, CDT_MACRO_FILE, CDT_OUTPUT, CDT_PROJECT, CDT_SOURCE`

### Method Summary

All Methods Instance Methods Abstract Methods
`char[][]` `fullExclusionPatternChars()` Returns a char based representation of the exclusions patterns full path.
`IPath` `getBasePath()` Return the base path of the includePath
`IPath` `getBaseReference()` Return the reference path
`IPath[]` `getExclusionPatterns()` If isRecursive() is true, specify an exclude file patterns.
`IPath` `getFullIncludeFilePath()` Return the includeFilePath with the base path.
`IPath` `getIncludeFilePath()` Returns the include file

### Methods inherited from interface org.eclipse.cdt.core.model.IPathEntry

`getEntryKind, getPath, isExported`

### Method Detail

#### getIncludeFilePath

    IPath getIncludeFilePath()

Returns the include file

Returns:
  IPath

#### getFullIncludeFilePath

    IPath getFullIncludeFilePath()

Return the includeFilePath with the base path.

#### getBasePath

    IPath getBasePath()

Return the base path of the includePath

Returns:
  IPath

#### getBaseReference

    IPath getBaseReference()

Return the reference path

#### getExclusionPatterns

    IPath[] getExclusionPatterns()

If isRecursive() is true, specify an exclude file patterns.

Returns:
  IPath

#### fullExclusionPatternChars

    char[][] fullExclusionPatternChars()

Returns a char based representation of the exclusions patterns full path.